# Changelog

All notable changes to this project will be documented in this file.

    Added     : for new features.
    Changed   : for changes in existing functionality.
    Deprecated: for soon-to-be removed features.
    Removed   : for now removed features.
    Fixed     : for any bug fixes.
    Security  : in case of vulnerabilities.

## [1.0.0] - pre 2022-05-10
First (more or less) working version.

## [1.0.1] - 2022-05-10

### Added
- Support for saving settings to internal FLASH

## [1.0.2] - 2022-05-11

### Added
- APRS settings can now be saved in FLASH
- logging to serial USB is disabled when in KISS mode (but KISS mode still needs to be implemented)

## [1.0.3] - 2022-05-12

### Added
- All settings (LoRa and APRS) can now be saved to FLASH.
- Command added for restarting LoRa radio when settings are alterred: "restart lora"
- Received LoRa frames can now be converted to proper AX25 frames (needed for KISS TNC functionality)
- KISS mode works for receiving (LoRa -> USB port)
- KISS mode for transmitting in early phase of development
- Can enter KISS mode with command "kiss 1" and exit KISS mode with command "sudo kissparms -p ax0 -x"

## [1.0.4] - 2022-05-13

### Added
- Fully functioning KISS TNC, but repeater flag could not be tested because LoRa APRS software in general is a mess. It appears that nobody reads the AX.25 standard anymore. This software probably is also not up to spec. But at least I tried! You should too: [http://www.ax25.net/AX25.2.2-Jul%2098-2.pdf](http://www.ax25.net/AX25.2.2-Jul%2098-2.pdf)

## [1.0.5] - 2023-12-19

### Changed
- Nothing changed, last version without telemetry. Tagged for archiving purposes.

## [1.1.0] - 2023-12-19

### Added
- PE1RXF telemetry
- I2C support
- I2C driver for AM2315 temperature/humidity sensor

### Fixed
- Struct for saving settings to FLASH is now 256 bytes excactly (problem with padding done by the compiler)
